Ignore:
Timestamp:
Feb 28, 2007 10:02:36 AM (13 years ago)
Author:
andreasw
Message:

reran autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r205 r231  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10751075                          compile this project (FilterSQP) with debug options
    10761076  --enable-doscompile     Under Cygwin, compile so that executables run under
    1077                           DOS (default: disabled)
     1077                          DOS. Set to mingw to use gcc/g++/ld with
     1078                          -mno-cygwin. Set to msvc to use cl/link. Default
     1079                          when mentioned: mingw. Default when not mentioned:
     1080                          disabled.
    10781081  --disable-dependency-tracking  speeds up one-time build
    10791082  --enable-dependency-tracking   do not reject slow dependency extractors
     
    17771780    fi
    17781781    ;;
    1779 esac
    1780 
    1781 # Check whether --enable-doscompile or --disable-doscompile was given.
     1782 esac
     1783 case $enable_doscompile in
     1784   msvc)
     1785     if test "x${LD+set}" = xset; then :; else
     1786       LD=link
     1787     fi
     1788     ;;
     1789 esac
     1790
     1791
     1792 # Check whether --enable-doscompile or --disable-doscompile was given.
    17821793if test "${enable_doscompile+set}" = set; then
    17831794  enableval="$enable_doscompile"
    1784   if test "$enable_doscompile = yes"; then
    1785   case $build in
    1786     *-cygwin*) ;;
    1787     *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes only sense under Cygwin" >&5
    1788 echo "$as_me: error: --enable-doscompile option makes only sense under Cygwin" >&2;}
     1795  if test "$enable_doscompile" != no; then
     1796     case $build in
     1797       *-cygwin*) ;;
     1798       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
     1799echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
    17891800   { (exit 1); exit 1; }; } ;;
    1790   esac
    1791 fi
     1801     esac
     1802   fi
    17921803else
    17931804  enable_doscompile=no
    17941805fi;
     1806 case "$enable_doscompile" in
     1807   msvc|mingw|no) ;;
     1808   yes) enable_doscompile=mingw ;;
     1809   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1810                    Try configure --help=recursive." >&5
     1811echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1812                    Try configure --help=recursive." >&2;}
     1813   { (exit 1); exit 1; }; }
     1814      ;;
     1815  esac
     1816  if test "$enable_doscompile" != no ; then
     1817    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1818echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1819  fi
    17951820
    17961821
     
    18261851
    18271852save_cflags="$CFLAGS"
     1853# For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
     1854# ToDo: If Studio/Workshop cc is not present, we may find /usr/ucb/cc, which
     1855# is likely to be a non-functional shell. But many installations will have
     1856# both cc and gcc, so promoting gcc isn't good either. How to test reliably?
    18281857case $build in
    18291858  *-cygwin* | *-mingw*)
    1830              comps="gcc cl" ;;
     1859             if test "$enable_doscompile" = msvc ; then
     1860               comps="cl"
     1861             else
     1862               comps="gcc cl"
     1863             fi ;;
     1864  sparc-sun-solaris*)
     1865             comps="cc xlc gcc pgcc icc" ;;
    18311866  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    18321867  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    18361871# performed with our choice of compilers earlier
    18371872$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
     1873# AC_MSG_NOTICE([C compiler candidates: $comps])
    18381874ac_ext=c
    18391875ac_cpp='$CPP $CPPFLAGS'
     
    25892625        coin_dbg_cflags="-g"
    25902626        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    2591         if test "$enable_doscompile" = yes; then
    2592           case $build in
    2593             *-cygwin*)
    2594               CFLAGS="-mno-cygwin"
    2595               cat >conftest.$ac_ext <<_ACEOF
     2627        case $enable_doscompile in
     2628          mingw)
     2629            CFLAGS="-mno-cygwin"
     2630            cat >conftest.$ac_ext <<_ACEOF
    25962631/* confdefs.h.  */
    25972632_ACEOF
     
    26382673rm -f conftest.err conftest.$ac_objext \
    26392674      conftest$ac_exeext conftest.$ac_ext
    2640               CFLAGS=
    2641             ;;
    2642           esac
    2643         fi
     2675            CFLAGS=
     2676          ;;
     2677        esac
    26442678    esac
    26452679  fi
     
    26492683        case "$CC" in
    26502684          cl* | */cl* | CL* | */CL*)
    2651             coin_opt_cflags='-O2'
    2652             coin_add_cflags='-nologo'
     2685            coin_opt_cflags='-MT -O2'
     2686            coin_add_cflags='-nologo -wd4996'
    26532687            coin_dbg_cflags='-MTd'
    26542688            ;;
     
    28262860fi
    28272861
     2862# If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
     2863
     2864case "$CFLAGS" in
     2865  *-mno-cygwin*)
     2866    if test x${CPPFLAGS+set} != xset ; then
     2867      CPPFLAGS="-mno-cygwin"
     2868    else
     2869      case "$CPPFLAGS" in
     2870        *-mno-cygwin*)
     2871          ;;
     2872        *)
     2873          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     2874          ;;
     2875      esac
     2876    fi ;;
     2877esac
     2878
    28282879# Try if CFLAGS works
    28292880save_CFLAGS="$CFLAGS"
     
    29503001    fi
    29513002    ;;
    2952 esac
     3003 esac
     3004 case $enable_doscompile in
     3005   msvc)
     3006     if test "x${LD+set}" = xset; then :; else
     3007       LD=link
     3008     fi
     3009     ;;
     3010 esac
    29533011
    29543012    ;;
     
    29643022case $build in
    29653023  *-cygwin* | *-mingw*)
    2966      coin_f77_comps="gfortran g77 ifort fl32" ;;
     3024     if test "$enable_doscompile" = msvc ; then
     3025       coin_f77_comps="ifort fl32"
     3026     else
     3027       coin_f77_comps="gfortran g77 ifort fl32"
     3028     fi ;;
     3029  sparc-sun-solaris*)
     3030     coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    29673031  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2968 esac
     3032 esac
    29693033
    29703034
     
    29863050
    29873051save_fflags="$FFLAGS"
    2988 comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29893052
    29903053# We delete the cached value, since the test might not have been
    29913054# performed with our choice of compilers earlier
    29923055$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    2993 ac_ext=f
     3056
     3057# This is a real belt-and-suspenders approach. AC_COIN_FIND_F77 will use
     3058# coin_f77_comps to see if there's a program that matches one of the names.
     3059# If there's no such program, F77 = unavailable. If we match the name,
     3060# feed AC_PROG_F77 the same search list, just to be sure it's a functioning
     3061# compiler.
     3062# AC_MSG_NOTICE([Fortran compiler candidates: $coin_f77_comps])
     3063
     3064
     3065{ echo "$as_me:$LINENO: Trying to determine Fortran compiler name" >&5
     3066echo "$as_me: Trying to determine Fortran compiler name" >&6;}
     3067for ac_prog in $coin_f77_comps
     3068do
     3069  # Extract the first word of "$ac_prog", so it can be a program name with args.
     3070set dummy $ac_prog; ac_word=$2
     3071echo "$as_me:$LINENO: checking for $ac_word" >&5
     3072echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     3073if test "${ac_cv_prog_F77+set}" = set; then
     3074  echo $ECHO_N "(cached) $ECHO_C" >&6
     3075else
     3076  if test -n "$F77"; then
     3077  ac_cv_prog_F77="$F77" # Let the user override the test.
     3078else
     3079as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     3080for as_dir in $PATH
     3081do
     3082  IFS=$as_save_IFS
     3083  test -z "$as_dir" && as_dir=.
     3084  for ac_exec_ext in '' $ac_executable_extensions; do
     3085  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     3086    ac_cv_prog_F77="$ac_prog"
     3087    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     3088    break 2
     3089  fi
     3090done
     3091done
     3092
     3093fi
     3094fi
     3095F77=$ac_cv_prog_F77
     3096if test -n "$F77"; then
     3097  echo "$as_me:$LINENO: result: $F77" >&5
     3098echo "${ECHO_T}$F77" >&6
     3099else
     3100  echo "$as_me:$LINENO: result: no" >&5
     3101echo "${ECHO_T}no" >&6
     3102fi
     3103
     3104  test -n "$F77" && break
     3105done
     3106test -n "$F77" || F77="unavailable"
     3107
     3108
     3109if test "$F77" != "unavailable" ; then
     3110  ac_ext=f
    29943111ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    29953112ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    29963113ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    29973114if test -n "$ac_tool_prefix"; then
    2998   for ac_prog in $comps
     3115  for ac_prog in $coin_f77_comps
    29993116  do
    30003117    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     
    30383155if test -z "$F77"; then
    30393156  ac_ct_F77=$F77
    3040   for ac_prog in $comps
     3157  for ac_prog in $coin_f77_comps
    30413158do
    30423159  # Extract the first word of "$ac_prog", so it can be a program name with args.
     
    30833200
    30843201# Provide some information about the compiler.
    3085 echo "$as_me:3085:" \
     3202echo "$as_me:3202:" \
    30863203     "checking for Fortran 77 compiler version" >&5
    30873204ac_compiler=`set X $ac_compile; echo $2`
     
    32263343ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32273344
    3228 if test -z "$F77" ; then
     3345else
    32293346  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
    32303347echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
    32313348fi
     3349
    32323350FFLAGS="$save_fflags"
    32333351
     
    32403358fi
    32413359
    3242 if test x"$FFLAGS" = x; then
     3360if test "$F77" != "unavailable" && test x"$FFLAGS" = x ; then
    32433361
    32443362  coin_add_fflags=
     
    32513369    coin_add_fflags="-pipe"
    32523370    coin_dbg_fflags="-g"
    3253     if test "$enable_doscompile" = yes; then
    3254       case $build in
    3255         *-cygwin*)
    3256           FFLAGS="-mno-cygwin"
    3257           cat >conftest.$ac_ext <<_ACEOF
     3371    case $enable_doscompile in
     3372      mingw)
     3373        FFLAGS="-mno-cygwin"
     3374        cat >conftest.$ac_ext <<_ACEOF
    32583375      program main
    32593376      write(*,*) 'Hello world'
     
    32903407rm -f conftest.err conftest.$ac_objext \
    32913408      conftest$ac_exeext conftest.$ac_ext
    3292           FFLAGS=
    3293         ;;
    3294       esac
    3295     fi
     3409        FFLAGS=
     3410      ;;
     3411    esac
    32963412  else
    32973413    case $build in
     
    34563572fi
    34573573
     3574# If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
     3575case "$FFLAGS" in
     3576  *-mno-cygwin*)
     3577    if test x${CPPFLAGS+set} != xset ; then
     3578      CPPFLAGS="-mno-cygwin"
     3579    else
     3580      case "$CPPFLAGS" in
     3581        *-mno-cygwin*)
     3582          ;;
     3583        *)
     3584          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     3585          ;;
     3586      esac
     3587    fi ;;
     3588esac
     3589
    34583590# Try if FFLAGS works
    3459 cat >conftest.$ac_ext <<_ACEOF
    3460       program main
    3461       integer i
    3462       end
    3463 _ACEOF
    3464 rm -f conftest.$ac_objext conftest$ac_exeext
    3465 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3466   (eval $ac_link) 2>conftest.er1
    3467   ac_status=$?
    3468   grep -v '^ *+' conftest.er1 >conftest.err
    3469   rm -f conftest.er1
    3470   cat conftest.err >&5
    3471   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3472   (exit $ac_status); } &&
    3473          { ac_try='test -z "$ac_f77_werror_flag"
    3474                          || test ! -s conftest.err'
    3475   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3476   (eval $ac_try) 2>&5
    3477   ac_status=$?
    3478   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3479   (exit $ac_status); }; } &&
    3480          { ac_try='test -s conftest$ac_exeext'
    3481   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3482   (eval $ac_try) 2>&5
    3483   ac_status=$?
    3484   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3485   (exit $ac_status); }; }; then
    3486   :
    3487 else
    3488   echo "$as_me: failed program was:" >&5
    3489 sed 's/^/| /' conftest.$ac_ext >&5
    3490 
    3491 FFLAGS=
    3492 fi
    3493 rm -f conftest.err conftest.$ac_objext \
    3494       conftest$ac_exeext conftest.$ac_ext
    3495 if test -z "$FFLAGS"; then
    3496   { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
    3497 echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
    3498   FFLAGS='-O'
     3591if test "$F77" != "unavailable" ; then
    34993592  cat >conftest.$ac_ext <<_ACEOF
    35003593      program main
     
    35343627      conftest$ac_exeext conftest.$ac_ext
    35353628  if test -z "$FFLAGS"; then
    3536     { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
     3629    { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
     3630echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
     3631    FFLAGS='-O'
     3632    cat >conftest.$ac_ext <<_ACEOF
     3633      program main
     3634      integer i
     3635      end
     3636_ACEOF
     3637rm -f conftest.$ac_objext conftest$ac_exeext
     3638if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3639  (eval $ac_link) 2>conftest.er1
     3640  ac_status=$?
     3641  grep -v '^ *+' conftest.er1 >conftest.err
     3642  rm -f conftest.er1
     3643  cat conftest.err >&5
     3644  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3645  (exit $ac_status); } &&
     3646         { ac_try='test -z "$ac_f77_werror_flag"
     3647                         || test ! -s conftest.err'
     3648  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3649  (eval $ac_try) 2>&5
     3650  ac_status=$?
     3651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3652  (exit $ac_status); }; } &&
     3653         { ac_try='test -s conftest$ac_exeext'
     3654  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3655  (eval $ac_try) 2>&5
     3656  ac_status=$?
     3657  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3658  (exit $ac_status); }; }; then
     3659  :
     3660else
     3661  echo "$as_me: failed program was:" >&5
     3662sed 's/^/| /' conftest.$ac_ext >&5
     3663
     3664FFLAGS=
     3665fi
     3666rm -f conftest.err conftest.$ac_objext \
     3667      conftest$ac_exeext conftest.$ac_ext
     3668    if test -z "$FFLAGS"; then
     3669      { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
    35373670echo "$as_me: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&2;}
     3671    fi
    35383672  fi
    35393673fi
     
    35503684
    35513685case "$F77" in
    3552   ifort*)
     3686  ifort* | */ifort* | IFORT* | */IFORT*)
    35533687    case $build in
    35543688  *-mingw*)
     
    35573691    fi
    35583692    ;;
    3559 esac
     3693 esac
     3694 case $enable_doscompile in
     3695   msvc)
     3696     if test "x${LD+set}" = xset; then :; else
     3697       LD=link
     3698     fi
     3699     ;;
     3700 esac
    35603701
    35613702    ;;
     
    39144055
    39154056
     4057
     4058# AC_MSG_NOTICE([Beginning automake initialisation.])
    39164059# Stuff for automake
    39174060# test to see if srcdir already configured
     
    45934736
    45944737
     4738# AC_MSG_NOTICE([End automake initialisation.])
     4739
     4740
    45954741
    45964742# Initialize automake
     
    46554801# Initialize automake
    46564802
     4803
     4804# AC_MSG_NOTICE([Beginning automake initialisation.])
    46574805# Stuff for automake
    46584806# test to see if srcdir already configured
     
    53345482
    53355483
     5484# AC_MSG_NOTICE([End automake initialisation.])
     5485
     5486
    53365487
    53375488unset ac_cv_file__________libtool
     
    53865537
    53875538fi
    5388 #if test "x$LIBTOOL" = x; then
    5389 AC_CHECK_FILE([../../../libtool],
    5390 #                [coin_config_dir=../../..
    5391 #                 LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5392 #fi
     5539# if test "x$LIBTOOL" = x; then
     5540 AC_CHECK_FILE([../../../libtool],
     5541#                 [coin_config_dir=../../..
     5542#                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
     5543# fi
    53935544
    53945545if test "x$LIBTOOL" = x; then
    5395 
     5546# AC_MSG_NOTICE([Creating libtool script (calling COIN_PROG_LIBTOOL).])
    53965547  # Stuff for libtool
    5397   ac_ext=c
    5398 ac_cpp='$CPP $CPPFLAGS'
    5399 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    5400 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5401 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    5402 
    5403 if test x"" = x; then
    5404   hdr="#include <dlfcn.h>"
    5405 else
    5406   hdr=""
    5407 fi
    5408 
    5409 for ac_header in dlfcn.h
    5410 do
    5411 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    5412 echo "$as_me:$LINENO: checking for $ac_header" >&5
    5413 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    5414 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    5415   echo $ECHO_N "(cached) $ECHO_C" >&6
    5416 else
    5417   cat >conftest.$ac_ext <<_ACEOF
    5418 /* confdefs.h.  */
    5419 _ACEOF
    5420 cat confdefs.h >>conftest.$ac_ext
    5421 cat >>conftest.$ac_ext <<_ACEOF
    5422 /* end confdefs.h.  */
    5423 $hdr
    5424 
    5425 #include <$ac_header>
    5426 _ACEOF
    5427 rm -f conftest.$ac_objext
    5428 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    5429   (eval $ac_compile) 2>conftest.er1
    5430   ac_status=$?
    5431   grep -v '^ *+' conftest.er1 >conftest.err
    5432   rm -f conftest.er1
    5433   cat conftest.err >&5
    5434   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5435   (exit $ac_status); } &&
    5436          { ac_try='test -z "$ac_c_werror_flag"
    5437                          || test ! -s conftest.err'
    5438   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5439   (eval $ac_try) 2>&5
    5440   ac_status=$?
    5441   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5442   (exit $ac_status); }; } &&
    5443          { ac_try='test -s conftest.$ac_objext'
    5444   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5445   (eval $ac_try) 2>&5
    5446   ac_status=$?
    5447   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5448   (exit $ac_status); }; }; then
    5449   eval "$as_ac_Header=yes"
    5450 else
    5451   echo "$as_me: failed program was:" >&5
    5452 sed 's/^/| /' conftest.$ac_ext >&5
    5453 
    5454 eval "$as_ac_Header=no"
    5455 fi
    5456 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    5457 fi
    5458 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    5459 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    5460 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    5461   cat >>confdefs.h <<_ACEOF
    5462 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    5463 _ACEOF
    5464 
    5465 fi
    5466 
    5467 done
    5468 
    5469 
    5470 ac_ext=c
    5471 ac_cpp='$CPP $CPPFLAGS'
    5472 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    5473 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5474 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    5475 
    5476 
    5477 # Check whether --enable-shared or --disable-shared was given.
     5548  # Check whether --enable-shared or --disable-shared was given.
    54785549if test "${enable_shared+set}" = set; then
    54795550  enableval="$enable_shared"
     
    60236094*-*-irix6*)
    60246095  # Find out which ABI we are using.
    6025   echo '#line 6025 "configure"' > conftest.$ac_ext
     6096  echo '#line 6096 "configure"' > conftest.$ac_ext
    60266097  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60276098  (eval $ac_compile) 2>&5
     
    85618632   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85628633   -e 's:$: $lt_compiler_flag:'`
    8563    (eval echo "\"\$as_me:8563: $lt_compile\"" >&5)
     8634   (eval echo "\"\$as_me:8634: $lt_compile\"" >&5)
    85648635   (eval "$lt_compile" 2>conftest.err)
    85658636   ac_status=$?
    85668637   cat conftest.err >&5
    8567    echo "$as_me:8567: \$? = $ac_status" >&5
     8638   echo "$as_me:8638: \$? = $ac_status" >&5
    85688639   if (exit $ac_status) && test -s "$ac_outfile"; then
    85698640     # The compiler can only warn and ignore the option if not recognized
     
    88298900   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88308901   -e 's:$: $lt_compiler_flag:'`
    8831    (eval echo "\"\$as_me:8831: $lt_compile\"" >&5)
     8902   (eval echo "\"\$as_me:8902: $lt_compile\"" >&5)
    88328903   (eval "$lt_compile" 2>conftest.err)
    88338904   ac_status=$?
    88348905   cat conftest.err >&5
    8835    echo "$as_me:8835: \$? = $ac_status" >&5
     8906   echo "$as_me:8906: \$? = $ac_status" >&5
    88368907   if (exit $ac_status) && test -s "$ac_outfile"; then
    88378908     # The compiler can only warn and ignore the option if not recognized
     
    89339004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89349005   -e 's:$: $lt_compiler_flag:'`
    8935    (eval echo "\"\$as_me:8935: $lt_compile\"" >&5)
     9006   (eval echo "\"\$as_me:9006: $lt_compile\"" >&5)
    89369007   (eval "$lt_compile" 2>out/conftest.err)
    89379008   ac_status=$?
    89389009   cat out/conftest.err >&5
    8939    echo "$as_me:8939: \$? = $ac_status" >&5
     9010   echo "$as_me:9010: \$? = $ac_status" >&5
    89409011   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    89419012   then
     
    1127811349  lt_status=$lt_dlunknown
    1127911350  cat > conftest.$ac_ext <<EOF
    11280 #line 11280 "configure"
     11351#line 11351 "configure"
    1128111352#include "confdefs.h"
    1128211353
     
    1137811449  lt_status=$lt_dlunknown
    1137911450  cat > conftest.$ac_ext <<EOF
    11380 #line 11380 "configure"
     11451#line 11451 "configure"
    1138111452#include "confdefs.h"
    1138211453
     
    1372213793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1372313794   -e 's:$: $lt_compiler_flag:'`
    13724    (eval echo "\"\$as_me:13724: $lt_compile\"" >&5)
     13795   (eval echo "\"\$as_me:13795: $lt_compile\"" >&5)
    1372513796   (eval "$lt_compile" 2>conftest.err)
    1372613797   ac_status=$?
    1372713798   cat conftest.err >&5
    13728    echo "$as_me:13728: \$? = $ac_status" >&5
     13799   echo "$as_me:13799: \$? = $ac_status" >&5
    1372913800   if (exit $ac_status) && test -s "$ac_outfile"; then
    1373013801     # The compiler can only warn and ignore the option if not recognized
     
    1382613897   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1382713898   -e 's:$: $lt_compiler_flag:'`
    13828    (eval echo "\"\$as_me:13828: $lt_compile\"" >&5)
     13899   (eval echo "\"\$as_me:13899: $lt_compile\"" >&5)
    1382913900   (eval "$lt_compile" 2>out/conftest.err)
    1383013901   ac_status=$?
    1383113902   cat out/conftest.err >&5
    13832    echo "$as_me:13832: \$? = $ac_status" >&5
     13903   echo "$as_me:13903: \$? = $ac_status" >&5
    1383313904   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1383413905   then
     
    1539615467   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1539715468   -e 's:$: $lt_compiler_flag:'`
    15398    (eval echo "\"\$as_me:15398: $lt_compile\"" >&5)
     15469   (eval echo "\"\$as_me:15469: $lt_compile\"" >&5)
    1539915470   (eval "$lt_compile" 2>conftest.err)
    1540015471   ac_status=$?
    1540115472   cat conftest.err >&5
    15402    echo "$as_me:15402: \$? = $ac_status" >&5
     15473   echo "$as_me:15473: \$? = $ac_status" >&5
    1540315474   if (exit $ac_status) && test -s "$ac_outfile"; then
    1540415475     # The compiler can only warn and ignore the option if not recognized
     
    1550015571   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1550115572   -e 's:$: $lt_compiler_flag:'`
    15502    (eval echo "\"\$as_me:15502: $lt_compile\"" >&5)
     15573   (eval echo "\"\$as_me:15573: $lt_compile\"" >&5)
    1550315574   (eval "$lt_compile" 2>out/conftest.err)
    1550415575   ac_status=$?
    1550515576   cat out/conftest.err >&5
    15506    echo "$as_me:15506: \$? = $ac_status" >&5
     15577   echo "$as_me:15577: \$? = $ac_status" >&5
    1550715578   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1550815579   then
     
    1770717778   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1770817779   -e 's:$: $lt_compiler_flag:'`
    17709    (eval echo "\"\$as_me:17709: $lt_compile\"" >&5)
     17780   (eval echo "\"\$as_me:17780: $lt_compile\"" >&5)
    1771017781   (eval "$lt_compile" 2>conftest.err)
    1771117782   ac_status=$?
    1771217783   cat conftest.err >&5
    17713    echo "$as_me:17713: \$? = $ac_status" >&5
     17784   echo "$as_me:17784: \$? = $ac_status" >&5
    1771417785   if (exit $ac_status) && test -s "$ac_outfile"; then
    1771517786     # The compiler can only warn and ignore the option if not recognized
     
    1797518046   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1797618047   -e 's:$: $lt_compiler_flag:'`
    17977    (eval echo "\"\$as_me:17977: $lt_compile\"" >&5)
     18048   (eval echo "\"\$as_me:18048: $lt_compile\"" >&5)
    1797818049   (eval "$lt_compile" 2>conftest.err)
    1797918050   ac_status=$?
    1798018051   cat conftest.err >&5
    17981    echo "$as_me:17981: \$? = $ac_status" >&5
     18052   echo "$as_me:18052: \$? = $ac_status" >&5
    1798218053   if (exit $ac_status) && test -s "$ac_outfile"; then
    1798318054     # The compiler can only warn and ignore the option if not recognized
     
    1807918150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1808018151   -e 's:$: $lt_compiler_flag:'`
    18081    (eval echo "\"\$as_me:18081: $lt_compile\"" >&5)
     18152   (eval echo "\"\$as_me:18152: $lt_compile\"" >&5)
    1808218153   (eval "$lt_compile" 2>out/conftest.err)
    1808318154   ac_status=$?
    1808418155   cat out/conftest.err >&5
    18085    echo "$as_me:18085: \$? = $ac_status" >&5
     18156   echo "$as_me:18156: \$? = $ac_status" >&5
    1808618157   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1808718158   then
     
    2073720808
    2073820809
    20739 
    20740 
    20741 # We check for this header here in a non-standard way to avoid warning
    20742 # messages
    20743 
    20744 
    20745 
    20746 
    20747 
    20748 
    20749 
     20810# No longer needed now that CPPFLAGS is correctly set -- lh, 061214 --
     20811 # AC_REQUIRE([AC_COIN_DLFCN_H])
     20812
     20813# NEW: If libtool exists in the directory higher up, we use that one
     20814#      instead of creating a new one
     20815
     20816# It turns out that the code for AC_PROG_LIBTOOL is somehow AC_REQUIRED
     20817# out in front of this macro body. You'll notice that LIBTOOL is already
     20818# defined here.  We'll have to count on this macro not being called if libtool
     20819# already exists, or at least move the libtool fixes outside the conditional.
     20820# AC_MSG_NOTICE([Entering coin_prog_libtool, LIBTOOL = "$LIBTOOL".])
     20821# This test is therefore removed.  -- lh, 061214 --
     20822# if test "x$LIBTOOL" = x; then
     20823
     20824# AC_MSG_NOTICE([Calling PROG_LIBTOOL.])
     20825
     20826
     20827
     20828
     20829
     20830
     20831
     20832
     20833
     20834# AC_MSG_NOTICE([Finished PROG_LIBTOOL.])
    2075020835
    2075120836
     
    2075520840# - paths generated for .lib files is not run through cygpath -w
    2075620841
    20757 # Correct cygpath for minGW (ToDo!)
    20758 case $build in
    20759   *-mingw*)
    20760     CYGPATH_W=echo
    20761     ;;
    20762 esac
    20763 
    20764 case $build in
    20765   *-cygwin* | *-mingw*)
    20766   case "$CXX" in
    20767     cl* | */cl* | CL* | */CL*)
    20768       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20842
     20843# - lib includes subdirectory information; we want to replace
     20844#
     20845# old_archive_cmds="lib /OUT:\$oldlib\$oldobjs\$old_deplibs"
     20846#
     20847# by
     20848#
     20849# old_archive_cmds="echo \$oldlib | grep .libs >/dev/null; if test \$? = 0; then cd .libs; lib /OUT:\`echo \$oldlib\$oldobjs\$old_deplibs | sed -e s@\.libs/@@g\`; cd .. ; else lib /OUT:\$oldlib\$oldobjs\$old_deplibs ; fi"
     20850#
     20851#          -e 's%old_archive_cmds="lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs"%old_archive_cmds="echo \\\$oldlib \| grep .libs >/dev/null; if test \\\$? = 0; then cd .libs; lib /OUT:\\\`echo \\\$oldlib\\\$oldobjs\\\$old_deplibs \| sed -e s@\\.libs/@@g\\\`; cd .. ; else lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs; fi"%' \
     20852
     20853# The following was a hack for chaniing @BACKSLASH to \
     20854#          -e 'sYcompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"'`Ycompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"' | \$Xsed -e '"'"'s%@BACKSLASH@%\\\\\\\\\\\\\\\\%g'"'"'`Y' \
     20855
     20856  # Correct cygpath for minGW (ToDo!)
     20857  { echo "$as_me:$LINENO: Build is \"$build\"." >&5
     20858echo "$as_me: Build is \"$build\"." >&6;}
     20859  case $build in
     20860    *-mingw*)
     20861      CYGPATH_W=echo
     20862      ;;
     20863  esac
     20864
     20865  case $build in
     20866    *-cygwin* | *-mingw*)
     20867    case "$CXX" in
     20868      cl* | */cl* | CL* | */CL*)
     20869        { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    2076920870echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20770       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20771           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20772           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20773           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20774           -e 's%lib /OUT:%lib -OUT:%' \
    20775           -e "s%cygpath -w%$CYGPATH_W%" \
    20776           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20777           -e 's/$AR t/lib -nologo -list/' \
    20778           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20779           -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20780       libtool > conftest.bla
    20781 
    20782       mv conftest.bla libtool
    20783       chmod 755 libtool
    20784       ;;
    20785     *)
    20786       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20871        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20872            -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20873            -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20874            -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20875            -e 's%lib /OUT:%lib -OUT:%' \
     20876            -e "s%cygpath -w%$CYGPATH_W%" \
     20877            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20878            -e 's/$AR t/lib -nologo -list/' \
     20879            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20880            -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20881        libtool > conftest.bla
     20882
     20883        mv conftest.bla libtool
     20884        chmod 755 libtool
     20885        ;;
     20886      *)
     20887        { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    2078720888echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20788       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20789           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20790           -e 's|libext="lib"|libext="a"|' \
    20791       libtool > conftest.bla
    20792 
    20793       mv conftest.bla libtool
    20794       chmod 755 libtool
    20795       ;;
     20889        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20890            -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20891            -e 's|libext="lib"|libext="a"|' \
     20892        libtool > conftest.bla
     20893
     20894        mv conftest.bla libtool
     20895        chmod 755 libtool
     20896        ;;
     20897    esac
    2079620898  esac
    20797 esac
    20798 
    20799 
     20899# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     20900# the macro. -- lh, 061214 --
     20901# fi
     20902
     20903# AC_MSG_NOTICE([End libtool initialisation.])
     20904
     20905# AC_MSG_NOTICE([Finished COIN_PROG_LIBTOOL.])
    2080020906  # set RPATH_FLAGS to the compiler link flags required to hardcode location
    2080120907  # of the shared objects
     
    2085620962      s,@am__fastdep* | s,@AR@* | s,@CPP@*  | s,@CPPFLAGS@* | s,@CXXCPP@*  | \
    2085720963      s,@RANLIB@* | s,@STRIP@* | s,@ac_ct_AR@* | s,@ac_ct_RANLIB@* | \
    20858       s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* )
     20964      s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* | \
     20965      s,@ac_c_preproc_warn_flag@* |  s,@ac_cxx_preproc_warn_flag@* )
    2085920966        command=`echo $oneline | sed -e 's/^s,@//' -e 's/@,/="/' -e 's/,;t t/"/'`
    2086020967#        echo "$command"
     
    2088420991fi
    2088520992
     20993# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
     20994
    2088620995# ToDo
    2088720996# For now, don't use the -no-undefined flag, since the Makefiles are
     
    2089821007
    2089921008
    20900 FADDLIBS="$ADDLIBS"
    20901 if test x"$coin_need_flibs" = xyes; then
    20902   ADDLIBS="$ADDLIBS $FLIBS"
    20903 fi
    20904 
    20905 # library extension
    20906 
    20907 case "$CC" in
    20908   cl* | */cl* | CL* | */CL*)
    20909        LIBEXT=lib ;;
    20910     *) LIBEXT=a ;;
    20911 esac
    20912 
    20913 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20914 # cleaned for distclean in a vpath configuration
    20915 
    20916 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20917 
    20918 cat >confcache <<\_ACEOF
     21009if test x$coin_skip_ac_output != xyes; then
     21010
     21011  FADDLIBS="$ADDLIBS"
     21012  if test x"$coin_need_flibs" = xyes; then
     21013    ADDLIBS="$ADDLIBS $FLIBS"
     21014  fi
     21015
     21016  # library extension
     21017
     21018  case "$CC" in
     21019    cl* | */cl* | CL* | */CL*)
     21020         LIBEXT=lib ;;
     21021      *) LIBEXT=a ;;
     21022  esac
     21023
     21024  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     21025  # cleaned for distclean in a vpath configuration
     21026
     21027  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     21028
     21029  # Take out subdirectories if their configuration concluded that they
     21030  # don't need to be compiled
     21031  if test x"$coin_ac_skip_subdirs" != x; then
     21032    new_subdirs=
     21033    for i in $subdirs; do
     21034      skipme=no
     21035      for j in $coin_ac_skip_subdirs; do
     21036        if test $i = $j; then
     21037          skipme=yes;
     21038        fi
     21039      done
     21040      if test $skipme = no; then
     21041        new_subdirs="$new_subdirs $i"
     21042      fi
     21043    done
     21044    subdirs="$new_subdirs"
     21045  fi
     21046
     21047  cat >confcache <<\_ACEOF
    2091921048# This file is a shell script that caches the results of configure
    2092021049# tests run on this system so they can be shared between configure
     
    2172621855s,@CXXCPP@,$CXXCPP,;t t
    2172721856s,@LIBTOOL@,$LIBTOOL,;t t
     21857s,@ac_c_preproc_warn_flag@,$ac_c_preproc_warn_flag,;t t
     21858s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2172821859s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2172921860s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     
    2220322334
    2220422335
    22205 if test x"$coin_vpath_link_files" = x; then : ; else
    22206   lnkcmd=
    22207   if test "$enable_doscompile" = yes; then
    22208     lnkcmd=cp
    22209   fi
    22210   case "$CC" in
    22211     cl* | */cl* | CL* | */CL*)
    22212       lnkcmd=cp ;;
    22213   esac
    22214   if test "$lnkcmd" = cp; then
    22215     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22336  if test x"$coin_vpath_link_files" = x; then : ; else
     22337    lnkcmd=
     22338    if test "$enable_doscompile" = yes; then
     22339      lnkcmd=cp
     22340    fi
     22341    case "$CC" in
     22342      cl* | */cl* | CL* | */CL*)
     22343        lnkcmd=cp ;;
     22344    esac
     22345    if test "$lnkcmd" = cp; then
     22346      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2221622347echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22217   else
    22218     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22348    else
     22349      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2221922350echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2222022351LN_S=$as_ln_s
     
    2222722358fi
    2222822359
    22229     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22360      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2223022361echo "$as_me: Creating VPATH links for data files" >&6;}
    22231     lnkcmd="$LN_S"
    22232   fi
    22233   for file in $coin_vpath_link_files; do
    22234     dir=`(dirname "./$file") 2>/dev/null ||
     22362      lnkcmd="$LN_S"
     22363    fi
     22364    for file in $coin_vpath_link_files; do
     22365      dir=`(dirname "./$file") 2>/dev/null ||
    2223522366$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2223622367         X"./$file" : 'X\(//\)[^/]' \| \
     
    2224422375          /^X\(\/\).*/{ s//\1/; q; }
    2224522376          s/.*/./; q'`
    22246     if test -d $dir; then : ; else
    22247       { if $as_mkdir_p; then
     22377      if test -d $dir; then : ; else
     22378        { if $as_mkdir_p; then
    2224822379    mkdir -p $dir
    2224922380  else
     
    2227022401   { (exit 1); exit 1; }; }; }
    2227122402
    22272     fi
    22273     rm -f $file
    22274     $lnkcmd $abs_source_dir/$file $file
    22275   done
    22276 fi
    22277 
    22278 if test x$coin_projectdir = xyes; then
    22279   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22403      fi
     22404      rm -f $file
     22405      $lnkcmd $abs_source_dir/$file $file
     22406    done
     22407  fi
     22408
     22409  if test x$coin_projectdir = xyes; then
     22410    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2228022411echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22281 else
    22282   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22412  else
     22413    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2228322414echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22284 fi
     22415  fi
     22416else
     22417  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22418echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22419fi
     22420
    2228522421
    2228622422
Note: See TracChangeset for help on using the changeset viewer.